[Testing Update] 2020-02-13 - Kernels, Mate 1.24, Plasma 5.18, Firefox-Dev, Haskell

Hello community,

here is another Testing Update.


Our WebTeam is working on a new service to browse all our software within your browser ...

Some feature-updates:

  • With Plasma 5.18 we have another LTS release. Test and report back.
  • Systemd is now at 244.3. Please test and report any regressions.
  • Firefox-Dev starts 74 series
  • We updated Mate to 1.24
  • The usual Kernel updates
  • Haskell and Python updates with regular upstream package changes got added

If you like following latest Plasma development you may also like to check out our current version of manjaro-kde-dev, which we build on a regular basis against kde-git master packages. Also check out our current 19.0-pre5 ISOs and give us the needed feedback. You might also want to give our latest spin with NX-Desktop a try ...

As always we appreciate your input and feedback for the updates.


Upstream notice

Arch updated their default compression to zstd. We adopted to the same standard. More and more packages will have the zst extension from now on. If you get for what ever reason an error with ZSTD not supported as archive format you can do this:

wget https://pkgbuild.com/~eschwartz/repo/x86_64-extracted/pacman-static
chmod +x pacman-static
sudo ./pacman-static -Syyu

Our current supported kernels

  • linux316 3.16.82
  • linux44 4.4.213
  • linux49 4.9.213
  • linux414 4.14.170
  • linux419 4.19.103
  • linux54 5.4.19
  • linux55 5.5.3
  • linux56 5.6-rc1
  • linux419-rt 4.19.94_rt39
  • linux54-rt 5.4.17_rt9

Package Changes (Thu Feb 13 07:34:12 CET 2020)

  • testing community x86_64: 1029 new and 978 removed package(s)
  • testing core x86_64: 38 new and 38 removed package(s)
  • testing extra x86_64: 160 new and 157 removed package(s)
  • testing multilib x86_64: 5 new and 5 removed package(s)

A detailed list of all changes can be found here

  • No issue, everything went smoothly
  • Yes there was an issue. I was able to resolve it myself.(Please post your solution)
  • Yes i am currently experiencing an issue due to the update. (Please post about it)

0 voters

Check if your mirror has already synced:

7 Likes

Known issues and solutions

This is a wiki post; please edit as necessary.
Please, consider subscribing to the Testing Updates Announcements RSS feed


Older issues

Weird font glitches (see screenshots below).

If you have weird glitches like below...

Screenshots


string3
strings%20mismatch

... have you tried turning it off and on again?

More seriously, so far, people that reported to have such issue noticed that the problem goes away at next boot.


Installing xorgproto (2019.2-2) breaks dependency of a package

If you run into an issue because of xorgproto please DON'T follow the Arch suggestion as Manjaro uses the xorgproto-transfer package to make this automatic. If you have an issue, please report and wait for an update from us!

AUR Rebuilds required after updating python 3.7 to 3.8

Packages that depend on python from the AUR will need to be rebuilt after everything else has been updated. You can rebuild some of them with the following:

sudo pacman -S --needed --noconfirm expac yay
yay -S --rebuildtree $(pacman -Qmq $(expac %N python))

You can find other packages that need to be rebuilt by looking at the folders/files in

/usr/lib/python3.7/site-packages/

To find out what package owns a folder/file in that, you can use the following:

pacman -Qo folder_or_filename

If no package owns a file, it can probably be ignored.


System Settings and kinfocenter crash when entering Night Color settings randomly

Remove entire [NightColor] section of ~/.config/kwinrc
No solution yet ─ please edit as soon as a workaround is found.

xfce4-power-manager does not open / upower fails

Install kernel 4.14 or higher (4.14, 4.19, 5.2 [EOL], 5.3)

There is an issue with upower 0.99.11-1 on kernels 4.4 and 4.9.


xfce4-terminal / guake / gnome-terminal does not open

Update to vte3 0.58.2-1 or install kernel 4.14 or higher (4.14, 4.19, 5.2 [EOL], 5.3)

There is an issue with vte3 0.58.1-1 on kernels 4.4 and 4.9.


Replace linux52 with community/linux-latest ?

linux52 is EOL and has been removed from the repositories. It will be replaced by a metapackage which will from now on keep you on a maintained kernel.

If you want to keep the old kernel and modules then include them in your pacman.conf's IgnorePkg.


Pamac-Qt is not compatible to 9.0 API of Pamac

Pamac Qt 0.3 pre-RC: Towards the release, needs help in testing


gnome-shell-extension-desktop-icons

the pkgver 19.10.1 ship with an hook to remove the capability from gnome-shell. A message is present during install but essentially you need to reboot the system to show correctly the icons in the desktop. More info here

Already Mate 1.24? You jumped the gun, here, but it works great :slight_smile:

I have some problem with brave browser. After the update I have to reload like any web page I try to open because of this error:

Aw, Snap!
Something went wrong while displaying this webpage.

I found some solutions here: https://support.brave.com/hc/en-us/articles/360018192251-How-do-I-fix-page-crashes-and-other-page-loading-errors- but they don't work and on others computers in my lan none has this problem so I don't think it's a connection one.

I read the update list and Brave isn't in... However before the update it works and after not very well :joy:

[EDIT] After a while I check updates and there was brave! Great job, thank you! Now all works well!

(65/68) upgrading snapd                            [######################] 100%
warning: directory permissions differ on /etc/sudoers.d/
filesystem: 750  package: 755

Looks like the snapd package has wrong permissions for /etc/sudoers.d (should be 750 instead of 755) and /etc/sudoers.d/99-snapd.conf (should be 440 instead of 644) .

Also, is linux-latest not pointing to linux55 yet because of this? https://www.phoronix.com/scan.php?page=news_item&px=Linux-5.5-Intel-Missed-Graphics

Nicely done, Updated, no issues so far here.

Well, upstream released it. I suppose they just didn't want to wait for Arch Linux in order to test out that new version of Mate in Testing and Unstable. :slight_smile:

1 Like

KDE Plasma 5.18, System Settings Fonts cannot be changed. If any options are changed the Apply button is not enabled.

Also, the window decoration and application style options have messed up fonts where the theme/style titles are. that is what made me check to see if the Fonts page was working properly in the first place.

I applied the update from terminal without KDE running and restarted before logging back in, so it shouldn't have got corrupted settings wise. It seems to affect anything in 'grid' view

I see some font-weirdness in the titles of application style grid view as well, but i can change font settings.
I did clean plasma cache after updating.

2 Likes
[agentx@Secret-Computer ~]$ rm ~/.config/Trolltech.conf
[agentx@Secret-Computer ~]$ kbuildsycoca5 --noincremental
kbuildsycoca5 running...
kf5.kservice.services: The desktop entry file "/usr/share/applications/qemu.desktop" has Type= "Application" but no Exec line
kf5.kservice.sycoca: Invalid Service :  "/usr/share/applications/qemu.desktop"

Is that no Exec line normal?

https://specifications.freedesktop.org/desktop-entry-spec/desktop-entry-spec-latest.html#recognized-keys

The Exec key is required if DBusActivatable is not set to true . Even if DBusActivatable is true , Exec should be specified for compatibility with implementations that do not understand DBusActivatable .

Same problem here. All other things you mentioned run as expected.

I know. Archlinux is taking some time to package it.

I don't have these problems. Try changing themes. I'm using Arc-Dark and all is fine.

The only problem was that I had black screen on "Lock Screen", but after selecting the new one from the System Settings all is good now. I also saw this bug on another distro (neon), so I guess is a Plasma issue.

I'm having the font settings apply problem too. Looks like there is a report upstream:

https://bugs.kde.org/show_bug.cgi?id=416358

2 Likes

Everything fine here, it seems, except that the font in Firefox menu and address bar is considerably larger than before... and I don't like it... I'll see if reverting to the previous version of FF solves the issue.

Edit: fonts are larger also in other applications (Zotero is another that I've noticed)

1 Like

I will try clearing cache later, I've never had to do it in the past with major Plasma version changes, maybe it was luck on my part until now :sweat_smile:

I'm tempted to leave upgrading the laptop until 5.18.1 is out anyway, I can always roll the desktop back too for that matter.

Has anyone else noticed 5.18 takes longer to load after logging in? Maybe it's a symptom of messed up cache? Also, there's no slider on the Compositor settings to control the speed of animations.

Gnome on MacBookAir-no problem so far.

Cleaning the cache did not solve the problem for me. I also confirm that the "Apply" button in font settings is grayed out, and no change can be applied.

Forum kindly sponsored by